summaryrefslogtreecommitdiff
path: root/infra/scripts/test_tizen_neurun_acl_cl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'infra/scripts/test_tizen_neurun_acl_cl.sh')
-rwxr-xr-xinfra/scripts/test_tizen_neurun_acl_cl.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/infra/scripts/test_tizen_neurun_acl_cl.sh b/infra/scripts/test_tizen_neurun_acl_cl.sh
new file mode 100755
index 000000000..d09895463
--- /dev/null
+++ b/infra/scripts/test_tizen_neurun_acl_cl.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+[[ "${BASH_SOURCE[0]}" != "${0}" ]] && echo "Please don't source ${BASH_SOURCE[0]}, execute it" && return
+
+CURRENT_PATH="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+ROOT_PATH="$CURRENT_PATH/../../"
+
+set -e
+
+pushd $ROOT_PATH > /dev/null
+
+export OP_BACKEND_ALLOPS=acl_cl
+
+cp -v ./Product/out/unittest/nnapi_gtest.skip.armv7l-tizen ./Product/out/unittest/nnapi_gtest.skip
+export EXECUTOR=Linear
+source ./tests/scripts/test_driver.sh \
+ --ldlibrarypath="$ROOT_PATH/Product/out/lib" \
+ --reportdir="$ROOT_PATH/report/acl_cl" .
+
+export EXECUTOR=Dataflow
+source ./tests/scripts/test_driver.sh \
+ --ldlibrarypath="$ROOT_PATH/Product/out/lib" \
+ --reportdir="$ROOT_PATH/report/acl_cl" .
+
+export EXECUTOR=Parallel
+source ./tests/scripts/test_driver.sh \
+ --ldlibrarypath="$ROOT_PATH/Product/out/lib" \
+ --reportdir="$ROOT_PATH/report/acl_cl" .
+
+popd > /dev/null